Bug 375524 - Ctrl+W does not get loaded
Summary: Ctrl+W does not get loaded
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Shortcuts and Canvas Input Settings (show other bugs)
Version: 3.1.1
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-25 00:35 UTC by Dale
Modified: 2018-09-24 07:25 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dale 2017-01-25 00:35:00 UTC
Doesn't work.
Comment 1 Scott Petrovic 2017-02-03 17:11:08 UTC
I tested this on Krita 3.1.2 (Windows 8.1) and Ctrl+W closed the document as I think it would.

maybe there are some mangled shortcuts somewhere.  Mine are here... Desktop\krita-3.1.2.1-x64\share\krita\shortcuts

I know there were some recent fixes to shortcut mappings, so you might need to have a fresh shortcut file to avoid conflicts in case it was messed up before
Comment 2 Dale 2017-02-23 04:49:37 UTC
Many shortcut keys fail to work in "photoshop emulation" mode.
In default mode it is fine.
Comment 3 wolthera 2018-06-27 15:18:59 UTC
This still happens in 4.1. For future reference, the workaround for this is...

settings->configure Krita->shortcuts->new->enter name(this duplicates the selected shortcut)
settings->manage resources->open resource folder.

folder->shortcuts->name.shortcut, open in text editor.

ctrl+f "file_close", replace ctrl+w with 'none'. Save, Restart Krita.
Comment 4 Halla Rempt 2018-09-18 11:32:41 UTC
Git commit 36861ec3b2608893a5c624560e5d3302bda19c31 by Boudewijn Rempt.
Committed on 18/09/2018 at 11:30.
Pushed by rempt into branch 'master'.

Remove the shortcuts from the mdi window's system menu's actions

Just changing the scope isn't enough: people also want to be
able to configure the the close window action. Fortunately,
that turns out to be quite possible.
Related: bug 352205, bug 398729

M  +8    -8    libs/ui/KisMainWindow.cpp

https://commits.kde.org/krita/36861ec3b2608893a5c624560e5d3302bda19c31
Comment 5 Halla Rempt 2018-09-24 07:25:04 UTC
Git commit 7de91a765bb10fe4c55ef851bd157177618a8171 by Boudewijn Rempt.
Committed on 24/09/2018 at 06:57.
Pushed by rempt into branch 'krita/4.1'.

Remove the shortcuts from the mdi window's system menu's actions

Just changing the scope isn't enough: people also want to be
able to configure the the close window action. Fortunately,
that turns out to be quite possible.
Related: bug 352205, bug 398729

M  +8    -8    libs/ui/KisMainWindow.cpp

https://commits.kde.org/krita/7de91a765bb10fe4c55ef851bd157177618a8171